#include <stdio.h>
#include "dvm_access.h"


void
dvm_read_prog_1( char* host, char *name)
{
	CLIENT *clnt;
	dvm_value_type  *result_1;
	clnt = clnt_create(host, DVM_READ_PROG, DVM_READ_PROG, "udp");
	if (clnt == NULL) {
		clnt_pcreateerror(host);
		exit(1);
	}
	result_1 = dvm_read_1(name, clnt);
	if (result_1 == NULL) {
		clnt_perror(clnt, "call failed:");
	}
	printf("%s at %ld.%06ld is %g %s\n",
	       name,
	       result_1->tv_sec,result_1->tv_usec,
	       result_1->value,
	       result_1->unit);
	clnt_destroy( clnt );
}

int
main( int argc, char* argv[] )
{
	char *host;

	if(argc < 3) {
		printf("usage: %s server_host dvmname\n", argv[0]);
		exit(1);
	}
	host = argv[1];
	dvm_read_prog_1( host , argv[2]);
	return(0);
}
